using BingoBrain.Core;

namespace BingoBrain
{
    public static class BingoBoard
    {
        public static void Board()
        {
            var ard = Ard.Instance;
            ard.SetDar(CameraBoardk.Instance);
            ard.SetDar(Audio.Instance);
            ard.SetDar(UI.Instance);

            ard.SetDar(Hall.Instance);
            ard.SetDar(FX.Instance);
            ard.SetDar(Battle.Instance);
            ard.SetDar(Cheat.Instance);
            ard.SetDar(Network.Instance);
        }

        public static void SetData()
        {
            SetFont();
        }

        private static void SetFont()
        {
            var uiManager = UI.Instance;
            uiManager.RegisterDefaultFont("days_new");
            uiManager.RegisterFont("days_new");
        }
    }
}